当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指导!
帖子发表于 : 2017-04-27 22:21 

注册: 2017-04-27 21:50
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
看到大家都HTTPS:了,自己也想装一回,可是在网上收集了很多教程都不行,最后的界面如图
图片
意思好像是证书存在了,但是安装失败
Error while running apache2ctl configtest.
Action 'configtest' failed.
The Apache error log may have more information.

apache2: Syntax error on line 219 of /etc/apache2/apache2.conf: Syntax error on line 51 of /etc/apache2/sites-enabled/renzaijianghu-le-ssl.conf: Expected </VirtualHost> but saw </VirtualHost></IfModule>

Rolling back to previous server configuration...
Error while running apache2ctl configtest.
Action 'configtest' failed.
The Apache error log may have more information.

apache2: Syntax error on line 219 of /etc/apache2/apache2.conf: Syntax error on line 51 of /etc/apache2/sites-enabled/renzaijianghu-le-ssl.conf: Expected </VirtualHost> but saw </VirtualHost></IfModule>


IMPORTANT NOTES:
- We were unable to install your certificate, however, we
successfully restored your server to its prior configuration.
- Congratulations! Your certificate and chain have been saved at
/etc/letsencrypt/live/renzaijianghu.net/fullchain.pem. Your cert
will expire on 2017-07-26. To obtain a new or tweaked version of
this certificate in the future, simply run certbot-auto again with
the "certonly" option. To non-interactively renew *all* of your
certificates, run "certbot-auto renew"
而且我也在VPS上找到了证书位置

安装过程完全执行的教程:http://blog.csdn.net/zstack_org/article/details/53389305

但是最后出错了!

后来看到Apache的配制教程:http://www.chinaz.com/web/2015/1221/486106_3.shtml

但是这个我根本找不到相应文件的路径,他的路径是: /usr/local/apache/conf/httpd.conf ,而我的系统根本找不到,如图
图片

本人本来也是小白,就是喜欢瞎琢磨,还望高手指教!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 0:19 

注册: 2007-01-14 16:23
帖子: 4335
送出感谢: 0 次
接收感谢: 109
Syntax error on line 51
Expected </VirtualHost> but saw </VirtualHost></IfModule>
英语不好就去找翻译 :em01


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 8:27 

注册: 2017-04-27 21:50
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
onlylove 写道:
Syntax error on line 51
Expected </VirtualHost> but saw </VirtualHost></IfModule>
英语不好就去找翻译 :em01



大体意思我知道,两个部分的语法错误,第一个文件能找到,但是不知道怎么修改,第二个文件根本找不到...........


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 8:58 

注册: 2009-08-04 16:33
帖子: 17773
送出感谢: 21
接收感谢: 1911
引用:
他的路径是: /usr/local/apache/conf/httpd.conf ,而我的系统根本找不到,如图

https://help.ubuntu.com/14.04/servergui ... figuration
httpd.conf: historically the main Apache2 configuration file, named after the httpd daemon. Now the file does not exist. In older versions of Ubuntu the file might be present, but empty, as all configuration options have been moved to the below referenced directories.
httpd.conf 是 Ubuntu 早期的版本 才有
現在已經分散到下述設定中
意思是 該篇文章 可能適用於 Ubuntu 早期版本 或 其它 非 Ubuntu 的發行版 要參照時 可能需要稍微調適


页首
 用户资料  
 
5 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 9:11 
头像

注册: 2007-12-14 13:40
帖子: 49903
地址: 志虚国乌由市
系统: Winbuntu
送出感谢: 29
接收感谢: 414
既然证书都有了,那修改apache2 你的站点配置文件就可以用了啊,
可以的话请把配置文件发上来


_________________
冷轩信

渠月 · QY

本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu

安装flash 还是要用
代码:
sudo apt install adobe-flashplugin


页首
 用户资料  
 
6 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 9:12 
头像

注册: 2007-12-14 13:40
帖子: 49903
地址: 志虚国乌由市
系统: Winbuntu
送出感谢: 29
接收感谢: 414
http://vestacp.com/
我现在都是用这个,apache2 nginx mysql ,还有邮件服务什么的可选安装(默认会装)
一键安装Let's Encrypt


_________________
冷轩信

渠月 · QY

本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu

安装flash 还是要用
代码:
sudo apt install adobe-flashplugin


页首
 用户资料  
 
7 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 9:16 
头像

注册: 2007-12-14 13:40
帖子: 49903
地址: 志虚国乌由市
系统: Winbuntu
送出感谢: 29
接收感谢: 414
系统和web服务器安装方式不一样的话看那些教程也没用,


_________________
冷轩信

渠月 · QY

本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu

安装flash 还是要用
代码:
sudo apt install adobe-flashplugin


页首
 用户资料  
 
8 楼 
 文章标题 : Re: ubuntu14.04系统vps装的Apache,在配制Let's Encrypt免费SSL的时候失败,望高手指
帖子发表于 : 2017-04-28 16:07 

注册: 2017-04-27 21:50
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
qy117121 写道:
系统和web服务器安装方式不一样的话看那些教程也没用,


谢谢,问题已经解决,但是还是有个新问题,我HTTPS,旁边的不是绿色的小锁,有个黄色的小三角,怎么回事呀


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译